Subject: Re: bug#9372: 24.0.50; missing header biditype.h

From: Jan Djärv <[email-masked]>
Date: Fri, 26 Aug 2011 07:37:08 +0200

Glenn Morris skrev 2011-08-25 23:47:
> Jan Djärv wrote:
>
>> How would a make rule look that detects that a header file has been
>> removed from the repository look like?
>
> When biditype.h was removed, bidi.c was changed to no longer include it.
> So personally, I vaguely expected that if the bidi.c file had a
> timestamp newer than deps/bidi.d, the latter would be regenerated before
> anything else happened. But maybe it doesn't work like that?

No, bidi.d is made by gcc when compiling bidi.c.
If bidi.d is older than bidi.c, make could just remove bidi.d.
But then make would have to be restarted as it already has included bidi.d.

	Jan D.